ContactFilter_Create
POST
/v1/ContactFilters
const url = 'https://rms.dev.caspeco.net/api/booking/v1/ContactFilters';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"id":1,"name":"example","type":1,"itemsString":"example","items":["example"],"hidden":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/ContactFilters \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "id": 1, "name": "example", "type": 1, "itemsString": "example", "items": [ "example" ], "hidden": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
id
integer format: int64
name
string
type
integer format: int32
itemsString
string
items
Array<string>
hidden
boolean
Examplegenerated
{ "id": 1, "name": "example", "type": 1, "itemsString": "example", "items": [ "example" ], "hidden": true}Responses
Section titled “Responses”Media typeapplication/json
object
id
integer format: int64
name
string
type
integer format: int32
itemsString
string
items
Array<string>
hidden
boolean
Examplegenerated
{ "id": 1, "name": "example", "type": 1, "itemsString": "example", "items": [ "example" ], "hidden": true}